- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# sc::PBECFunctional Class Reference

Implements the Perdew-Burke-Ernzerhof (PBE) correlation functional. More...

`#include <functional.h>`

Inheritance diagram for sc::PBECFunctional:

List of all members.

## Public Member Functions
| PBECFunctional (const Ref< KeyVal > &)
| PBECFunctional (StateIn &)
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
int | need_density_gradient ()
void | point (const PointInputData &, PointOutputData &)
void | set_spin_polarized (int)
## Protected Member Functions
void | init_constants ()
double | rho_deriv (double rho_a, double rho_b, double mdr, double ec_local, double ec_local_dra)
double | gab_deriv (double rho, double phi, double mdr, double ec_local)
## Protected Attributes
Ref< LSDACFunctional > | local_
double | gamma
double | beta

## Detailed Description

Implements the Perdew-Burke-Ernzerhof (PBE) correlation functional.

John P. Perdew, Kieron Burke, and Yue Wang, Phys. Rev. B, 54(23), pp. 16533-16539, 1996.

John P. Perdew, Kieron Burke, and Matthias Ernzerhof, Phys. Rev. Lett., 77(18), pp. 3865-3868, 1996.

## Member Function Documentation

void sc::PBECFunctional::save_data_state | ( | StateOut & |  | ) | `[virtual]`

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.

This must be implemented by the derived class if the class has data.

Reimplemented from sc::DenFunctional.

The documentation for this class was generated from the following file:

- functional.h